Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property.basic
Class InMemoryBinaryValueFactory

    java.lang.Object
      org.modeshape.graph.property.basic.AbstractValueFactory<Binary>
          org.modeshape.graph.property.basic.AbstractBinaryValueFactory
              org.modeshape.graph.property.basic.InMemoryBinaryValueFactory

All Implemented Interfaces:
  BinaryFactory, ValueFactory<Binary>

    @Immutable
    public class InMemoryBinaryValueFactory

extends AbstractBinaryValueFactory

The `ValueFactory` for in-memory `PropertyType.BINARY` values.

This factory does not `reuse` any instances.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`AbstractValueFactory.ConvertingIterator<ValueType>`

Field Summary

Fields inherited from interface org.modeshape.graph.property.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Constructor Summary
`InMemoryBinaryValueFactory(TextDecoder decoder, ValueFactory<String> stringValueFactory)`

Method Summary
`Binary` | `create(byte[] value)` Create a value from the binary content given by the supplied array.

Methods inherited from class org.modeshape.graph.property.basic.AbstractBinaryValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, createEmptyArray, find`

Methods inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType, getStringValueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.property.ValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

Constructor Detail

### InMemoryBinaryValueFactory

    public InMemoryBinaryValueFactory(TextDecoder decoder,
                                      ValueFactory<String> stringValueFactory)

Method Detail

### create

    public Binary create(byte[] value)

  Create a value from the binary content given by the supplied array.

  Parameters:
    `value` - the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.